/****** hr20_test_buttons_and_rotary.ino ************* www.weigu.lu ******/

#include <HR20.h>

HR20 T;                               // create an HR20 object
word const DELAY_TIME = 1500;         // delay in ms
char text[] = "-CO2";
byte buttons, count = 8;
char rotary;  // can get negative


/****** SETUP *************************************************************/

void setup() {
  T.init_lcd();            // init lcd
  T.init_push_buttons();
  T.init_rotary();
  T.lcd_show_text(text); 
  delay(DELAY_TIME);   
  T.lcd_clear();  
  T.lcd_show_special(count);  
}
/****** LOOP **************************************************************/

void loop() {    
  for (byte i = 0; i<4; i++) {
    text[i] = ' ';
  }  
  buttons = T.get_push_buttons();
  if ((buttons & 0x01) == 0) {
    text[3] = 'P';
  }  
  if ((buttons & 0x02) == 0) {
    text[2] = 'C';
  }  
  if ((buttons & 0x04) == 0) {
    text[1] = 'U';
    text[0] = 'A';
  }  
  T.lcd_show_text(text);  
  rotary = T.get_rotary();
  if (rotary == 1) {  // forward
    if (count == 31) count = 30;
    count++;
    T.lcd_show_special(count);    
  }  
  if (rotary == -1) { // backward
    T.lcd_clear_special(count);
    if (count <= 8) count = 8;
    count--;
  }
}
